Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface ColumnMetadata

All Superinterfaces:
  Metadata

    public interface ColumnMetadata

extends Metadata

Represents an element in a collection/array.

Since:
  3.0

Method Summary
`java.lang.Boolean` | `getAllowsNull()` Accessor for whether the column allows null.
`java.lang.String` | `getDefaultValue()` Accessor for the default value
`java.lang.String` | `getInsertValue()` Accessor for the insert value (for columns with no field/property)
`java.lang.String` | `getJDBCType()` Accessor for the JDBC Type
`java.lang.Integer` | `getLength()` Accessor for the length
`java.lang.String` | `getName()` Accessor for the name of the column.
`java.lang.Integer` | `getScale()` Accessor for the scale
`java.lang.String` | `getSQLType()` Accessor for the SQL Type
`java.lang.String` | `getTarget()` Accessor for the name of the target column.
`java.lang.String` | `getTargetField()` Accessor for the name of the target field.
`ColumnMetadata` | `setAllowsNull(boolean nulls)` Method to set whether it allows null.
`ColumnMetadata` | `setDefaultValue(java.lang.String val)` Method to set the default value.
`ColumnMetadata` | `setInsertValue(java.lang.String val)` Method to set the insert value (for columns with no field/property).
`ColumnMetadata` | `setJDBCType(java.lang.String type)` Method to set the JDBC type.
`ColumnMetadata` | `setLength(int len)` Method to set the length
`ColumnMetadata` | `setName(java.lang.String name)` Method to set the column name.
`ColumnMetadata` | `setScale(int scale)` Method to set the scale
`ColumnMetadata` | `setSQLType(java.lang.String type)` Method to set the SQL type.
`ColumnMetadata` | `setTarget(java.lang.String target)` Method to set the target column (at the other side of the relation).
`ColumnMetadata` | `setTargetField(java.lang.String target)` Method to set the target field (at the other side of the relation).

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setName

    ColumnMetadata setName(java.lang.String name)

  Method to set the column name.

  Parameters:
    `name` - Column name

### getName

    java.lang.String getName()

  Accessor for the name of the column.

  Returns:
    The name

### setTarget

    ColumnMetadata setTarget(java.lang.String target)

  Method to set the target column (at the other side of the relation).

  Parameters:
    `target` - Target column

### getTarget

    java.lang.String getTarget()

  Accessor for the name of the target column.

  Returns:
    Target column name

### setTargetField

    ColumnMetadata setTargetField(java.lang.String target)

  Method to set the target field (at the other side of the relation).

  Parameters:
    `target` - Target field

### getTargetField

    java.lang.String getTargetField()

  Accessor for the name of the target field.

  Returns:
    Target field name

### setJDBCType

    ColumnMetadata setJDBCType(java.lang.String type)

  Method to set the JDBC type.

  Parameters:
    `type` - JDBC Type

### getJDBCType

    java.lang.String getJDBCType()

  Accessor for the JDBC Type

  Returns:
    JDBC Type

### setSQLType

    ColumnMetadata setSQLType(java.lang.String type)

  Method to set the SQL type.

  Parameters:
    `type` - SQL Type

### getSQLType

    java.lang.String getSQLType()

  Accessor for the SQL Type

  Returns:
    SQL Type

### setLength

    ColumnMetadata setLength(int len)

  Method to set the length

  Parameters:
    `len` - Length

### getLength

    java.lang.Integer getLength()

  Accessor for the length

  Returns:
    length

### setScale

    ColumnMetadata setScale(int scale)

  Method to set the scale

  Parameters:
    `scale` - scale

### getScale

    java.lang.Integer getScale()

  Accessor for the scale

  Returns:
    scale

### setAllowsNull

    ColumnMetadata setAllowsNull(boolean nulls)

  Method to set whether it allows null.

  Parameters:
    `nulls` - Allows null?

### getAllowsNull

    java.lang.Boolean getAllowsNull()

  Accessor for whether the column allows null.

  Returns:
    Allows null?

### setDefaultValue

    ColumnMetadata setDefaultValue(java.lang.String val)

  Method to set the default value.

  Parameters:
    `val` - Default value

### getDefaultValue

    java.lang.String getDefaultValue()

  Accessor for the default value

  Returns:
    Default value

### setInsertValue

    ColumnMetadata setInsertValue(java.lang.String val)

  Method to set the insert value (for columns with no field/property).

  Parameters:
    `val` - Insert value

### getInsertValue

    java.lang.String getInsertValue()

  Accessor for the insert value (for columns with no field/property)

  Returns:
    Insert value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.